whats the newest CFW I can use?

Discussion in 'PSP - Games & Content' started by drizzt8886, Apr 11, 2010.

Apr 11, 2010
  1. drizzt8886
    OP

    Newcomer drizzt8886 Advanced Member

    Joined:
    Mar 15, 2008
    Messages:
    71
    Country:
    United States
    I have a psp 3000 and its been a while since I checked but what CFW will let me play newer games like Mimana Iyar Chronicle without bricking my psp? Thanks for the help
     
  2. Jotokun

    Member Jotokun GBAtemp Regular

    Joined:
    Sep 22, 2008
    Messages:
    165
    Country:
    United States
    The only custom firmware available for the psp 3000 are 5.03 Gen C and 5.03 CFWE 3.70. I cant say if they'll run that game, but Gen C should, AFAIK the only games it has issues with are that kingdom hearts game and God Eater.
     
  3. I2aven's_Sag

    Member I2aven's_Sag GBATemp Otaku

    Joined:
    Sep 13, 2009
    Messages:
    726
    Location:
    Northern Virginia
    Country:
    United States
    runs on GEN-D3, Mimama, so it should run on Gen-C.
     
  4. drizzt8886
    OP

    Newcomer drizzt8886 Advanced Member

    Joined:
    Mar 15, 2008
    Messages:
    71
    Country:
    United States
    thanks alot I wasnt sure which version to use. But it does work.
     
  5. ragingchaosgod

    Member ragingchaosgod JUBILEUS QAAL OVOF VOMSARG

    Joined:
    Dec 20, 2008
    Messages:
    575
    Country:
    Philippines
    I use Gen C and Mimana runs just fine.
     

Share This Page